Polario API (5.8)

Download OpenAPI specification:Download

API for Polario

Naming:

  • json properties are formatted in camel case (fooBar) besides of enums (FooBar)
  • route params are formatted in hyphen case (foo-bar)
  • query params are formatted in snake case (foo_bar)
  • query params could hold lists of elements if they are comma separated
  • enum properties are formatted in capitalized camel case (FooBar)

Default values:

  • default values are specified for optional parameters do only apply to POST requests

Types:

  • numbers are considered to be float values
  • strings that are not specified to be html formatted should not be interpreted as html to avoid unexpected bahavior, like xss attacks
  • timestamps are considered to be in unix time

Headers:

  • Platform: can be always set as header param to specify the platform of the request for the logging output

Account

Account entered project first time

This endpoint is for announcing that an account has entered a project for the first time. It will enable the notification settings for the entered project.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID of JWT

projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get push token

This endpoint is for requesting account device push token. Session is linked to a device.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID of JWT

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "acceptLanguage": "fr-CH, fr;q=0.9, en;q=0.8, de;q=0.7, *;q=0.5",
  • "iosEnv": "Production",
  • "pushToken": "string",
  • "webPushKeys": {
    }
}

Set push token

This endpoint is for setting account device push token. Session is linked to a device. The Accept-Language header is used to select the language for sending the push notification. If no language is selected, it will be sent for the default language of the system.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID of JWT

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Request Body schema: application/json

device push values

iosEnv
string or null <optional>
Enum: "Production" "Sandbox"
pushToken
string

endpoint for web push

object or null <optional>

Responses

Request samples

Content type
application/json
{
  • "iosEnv": "Production",
  • "pushToken": "string",
  • "webPushKeys": {
    }
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

Remove push token

This endpoint is for removing account device push token. Session is linked to a device.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID of JWT

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get account

This endpoint returns the requested account. If Platform header is "Cms" Accept-Language header will be ignored.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "color": {
    },
  • "email": "string",
  • "firstName": "string",
  • "hasPassword": true,
  • "id": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "profileEditAllowed": true,
  • "roles": [
    ],
  • "salutation": "Mr",
  • "ssoIdentity": "string",
  • "ssoProviderId": "string",
  • "title": "string",
  • "visibility": {
    }
}

Delete account

This endpoint is for deleting a single account.

For deletion of own account via frontend see: POST /auth/account/delete-own

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get account profile

This endpoint is for requesting account profile information. If Platform header is "Cms" Accept-Language header will be ignored.

accessible without permission

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Responses

Response samples

Content type
application/json
{
  • "accessEditAllowed": true,
  • "color": {
    },
  • "email": "string",
  • "firstName": "string",
  • "id": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "profileEditAllowed": true,
  • "salutation": "Mr",
  • "title": "string",
  • "visibility": {
    }
}

Update account profile

This endpoint is for updating account profile information. Read only items can only be patched with cms session. If Platform header is "Cms" Accept-Language header will be ignored.

Note: meta.translations may not hold data. Translation takes places async. Call GET /auth/account/{id}/profile to check for translation again later.

accessible without permission

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

account profile

object (model.AccountProfileColor)
firstName
string non-empty
image
string or null

media id

keywordIds
Array of strings
lastName
string non-empty
Array of objects (model.AccountMetaData)

only updated entries have to be transmitted -> to empty a field transmit an empty value!

salutation
string or null
Enum: "Mr" "Ms"
title
string or null non-empty

Responses

Request samples

Content type
application/json
{
  • "color": {
    },
  • "firstName": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "salutation": "Mr",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "accessEditAllowed": true,
  • "color": {
    },
  • "email": "string",
  • "firstName": "string",
  • "id": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "profileEditAllowed": true,
  • "salutation": "Mr",
  • "title": "string",
  • "visibility": {
    }
}

Get accounts

This endpoint is for requesting account list of the system. If a limit is set, a cursor for this endpoint may be created to iterate over all accounts. If Platform header is "Cms" Accept-Language header will be ignored.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create account

This endpoint is for creating a new account. An email can be sent to the account owner to inform about the new account. If no password is provided, an email with a set password token will be sent to the account owner. You are only allowed to add roles that have permissions you already own through your roles. If you have "ManageGlobalRoles" you are allowed to add all roles. The Accept-Language header is used to select the language for sending the email. If no language is selected, the email will be sent for the default language of the system.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Request Body schema: application/json

Account to create

object (model.Access)
email
string
firstName
string
image
string or null
keywordIds
Array of strings <optional>

Default: []

lastName
string
Array of objects (model.AccountMetaData)
ownAccess
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read

password
string <optional>

must be empty if sso is set

product
string
Enum: "App" "Cms"
Array of objects (model.AccountRole)

Default: []

salutation
string or null
Enum: "Mr" "Ms"
sendMail
boolean
ssoIdentity
string <optional>

must be empty if password is set; must be set if ssoProviderId is set

ssoProviderId
string <optional>

must be empty if password is set; must be set if ssoIdentity is set

title
string or null

Responses

Request samples

Content type
application/json
{
  • "access": {
    },
  • "email": "test@api.plazz",
  • "firstName": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "ownAccess": "Read",
  • "password": "string",
  • "product": "App",
  • "roles": [
    ],
  • "salutation": "Mr",
  • "sendMail": true,
  • "ssoIdentity": "string",
  • "ssoProviderId": "string",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "color": {
    },
  • "email": "string",
  • "firstName": "string",
  • "hasPassword": true,
  • "id": "string",
  • "image": "string",
  • "keywordIds": [
    ],
  • "lastName": "string",
  • "meta": [
    ],
  • "profileEditAllowed": true,
  • "roles": [
    ],
  • "salutation": "Mr",
  • "ssoIdentity": "string",
  • "ssoProviderId": "string",
  • "title": "string",
  • "visibility": {
    }
}

Delete accounts

This endpoint is for deleting multiple accounts from the system.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

query Parameters
ids
required
string

ids to delete

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Logout device

This endpoint is for account device logout.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID

deviceId
required
string

Device ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get meta item setup

This endpoint is for retrieving the meta item configuration for accounts. If Platform is "Cms" Accept-Language header will be ignored. If Platform is not "Cms" selections.options.design values are hexcolors only.

accessible without permission

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "profileDefaultConfig": {
    },
  • "selections": [
    ]
}

Update meta item setup

This endpoint is for updating the meta item configuration for accounts

only accessible with permission : "ManageConfiguration"

fully accessible with permission : "ManageConfiguration"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

new meta configuration

Array of objects (account.MetaItem)
object (model.ProfileDefaultConfig)
Array of objects (account.RequestMetaSelection)

Responses

Request samples

Content type
application/json
{
  • "items": [
    ],
  • "profileDefaultConfig": {
    },
  • "selections": [
    ]
}

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "profileDefaultConfig": {
    },
  • "selections": [
    ]
}

Get accounts statistics

This endpoint is for requesting accounts statistics.

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageProjects" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageProjects" "ViewGlobalAnalytics"

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get account settings analytics for cursor

This endpoint returns a list of all accounts settings analytics snapshot records for a cursor in administrative representation.

Cursor could be created here: POST /auth/account/analytics/account-settings/search

accessible without permission

query Parameters
cursor
required
string

id of the cursor used for pagination; required if page is set

page
required
integer

current page index of the cursor used for pagination; required if cursor is set

limit
integer

amount of results per page (1 ... 100)

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update account credentials

This endpoint is for updating account credential information without the SCRAM flow. Credentials cannot be changed for an accounts that is linked to a sso provider. If an email address is provided, a password must also be provided. (Because of SCRAM the email address can only be changed by providing a password.) User has to login again after credentials change.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

new credentials

email
string
password
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

Create account settings analytics cursor

This endpoint returns a cursor for list account settings snapshot records with applied filter and sort options. In case of cursor response total will be 0 the status 204 with not content is returned instead.

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

options to create cursor

object (analytics.CursorFilterOption)
Array of objects

only one property per entry allowed; property enums: "snapshotDate" "snapshotTimestamp"; value enums: "ASC" "DESC"

Responses

Request samples

Content type
application/json
{
  • "filter": {
    },
  • "sort": [
    ]
}

Response samples

Content type
application/json
{
  • "cursor": "string",
  • "endpoints": [
    ],
  • "expiredAt": 0,
  • "total": 0
}

Get group list for account for project

This endpoint returns a list of all groups for the requested account and project. If a limit is set, a cursor for this endpoint may be created to iterate over all groups.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

projectId
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update account groups membership for project

This endpoint is for updating the group membership of an account for a specific project. System groups are calculated and cannot be changed with that request. In case of response status is 205 the request was only executed partial. Use GET to receive the stored configuration.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

group ids

Array
string

Responses

Request samples

Content type
application/json
[
  • "string"
]

Response samples

Content type
application/json
[
  • "string"
]

account colors

This endpoint is for requesting available account profile colors.

accessible without permission

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create cursor

This endpoint returns a cursor for list accounts with applied filter and sort options. In case of cursor response total will be 0 the status 204 with not content is returned instead.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

options to create cursor

object (account.CursorFilterOption)
Array of objects

only one property per entry allowed; property enums: "creationTimestamp" "email" "firstLoginTimestamp" "firstName" "id" "lastModified" "lastName" "lastSessionTimestamp" "salutation" "title" "tracking" "type"; value enums: "ASC" "DESC"

Responses

Request samples

Content type
application/json
{
  • "filter": {
    },
  • "sort": [
    ]
}

Response samples

Content type
application/json
{
  • "cursor": "string",
  • "endpoints": [
    ],
  • "expiredAt": 0,
  • "total": 0
}

Delete own

This endpoint is for deleting an account with the correct password. This endpoint uses the final message of the SCRAM challenge to validate the password. The Platform must match the Platform from the first message. See RFC 5802 for detail SCRAM definition.

To perform this action call SCRAM First first: POST /auth/auth

accessible without permission

header Parameters
Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

Clients Final Message

email
string
nonce
string
proof
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz",
  • "nonce": "hvYDpWUa2RaTCAfuxFIlj)hNlF$k0",
  • "proof": "dHzbZapWIk4jUhN+Ute9ytag9zjfMHgsqmmiz7AndVQ="
}

Response samples

Content type
application/json
{
  • "signature": "6rriTRBi23WpRR/wtup+mMhUZUn/dB5nLTJRsjl95G4="
}

Get accounts statistic records

This endpoint is for requesting accounts statistic records.

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageProjects" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageProjects" "ViewGlobalAnalytics"

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "property1": {
    },
  • "property2": {
    }
}

Get project account ids

This endpoint is for requesting account ids of a project

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

path Parameters
projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • "string"
]

Get account access configuration

This endpoint returns the access configuration for the requested account.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true
}

Update account access configuration

This endpoint updates the access configuration for the requested account. Only the changes should be transmitted due this endpoint.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

changed access rights

object

accountId to operation; null for operation removes access

any
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

object

groupId to operation; null for operation removes access

user
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

Responses

Request samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Response samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Get project accounts statistics

This endpoint is for requesting accounts statistics of a project Only accounts that have access and entered the project once are considered.

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

path Parameters
projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Change email final

This endpoint should be requested for redeeming the token to finish the email address change. For this action a one time token is needed. The email cannot be changed for an accounts that is linked to a sso provider. After a successful change of the email address all session and refresh tokens will be invalidated and a notification is sent to the old email address of the account. The Accept-Language header is used to select the language for sending the email. If no language is selected, the email will be sent for the default language of the system. On success this endpoint provides a new refresh token and new session in the 200 response. In case of response status is 205 login has to be performed again. If the password is retired, it will return 428 Precondition Required.

accessible without permission

header Parameters
Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

email change token

browser
string or null <optional>

Default: null

deviceName
string or null <optional>

Default: null

os
string
Enum: "Android" "IOS" "Windows" "Linux" "Mac" "Other"
osVersion
string
token
string

Responses

Request samples

Content type
application/json
{
  • "browser": "string",
  • "deviceName": "string",
  • "os": "Android",
  • "osVersion": "string",
  • "token": "hvYDpWUa2RaTCAfuxFIlj)hNlF$k0"
}

Response samples

Content type
application/json
{
  • "deviceId": "string",
  • "refreshToken": "XX4EWw5Hz6zb10FlyMazboBGmlvYX7Y878j6zSjQjJmsbTDVUvfPd7eOm1YqRPQb",
  • "sendbirdSessionToken": "string"
}

Change email first

This endpoint should be requested first for changing the current email address for an account. The email cannot be changed for an accounts that is linked to a sso provider. A link with a confirmation token is sent to the new email address. This token must be redeemed to save the change. The Platform header is for creating the correct token link send to the requested new email address. The token should be redeemed on PUT /auth/email This function is safe against enumeration attacks, so it is not possible to get information about already used emails in the system. If there already is an account for the requested mail, the address cannot be changed for the current account The Accept-Language header is used to select the language for sending the email. If no language is selected, the email will be sent for the default language of the system.

accessible without permission

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

requested mail change

newEmail
string
password
string

Responses

Request samples

Content type
application/json
{
  • "newEmail": "test@api.plazz",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get project accounts statistic records

This endpoint is for requesting accounts statistic records of a project. Only accounts that have access and entered the project once are considered.

only accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

fully accessible with permission : "ManageAccounts" "ManageConfiguration" "ManageContent" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

path Parameters
projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "property1": {
    },
  • "property2": {
    }
}

Get group list for account

This endpoint returns a list of all groups the requested account belongs to across all projects.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • "string"
]

Set account group memberships

This endpoint sets the group memberships of an account by providing the complete desired set of group ids. Groups may span multiple projects. System groups are calculated and cannot be changed with that request. In case of response status is 205 the request was only executed partial. Use GET to receive the stored configuration.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

group ids to be set for account

Array
string

Responses

Request samples

Content type
application/json
[
  • "string"
]

Response samples

Content type
application/json
[
  • "string"
]

Update account group memberships

This endpoint updates group memberships for an account by explicitly providing groups to add and groups to remove. Groups may span multiple projects. System groups are calculated and cannot be changed with that request. In case of response status is 205 the request was only executed partial. Use GET to receive the stored configuration.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

groups to add and remove

add
Array of strings
remove
Array of strings

Responses

Request samples

Content type
application/json
{
  • "add": [
    ],
  • "remove": [
    ]
}

Response samples

Content type
application/json
[
  • "string"
]

Search accounts

This endpoint is for requesting account list with a search If Platform header is "Cms" Accept-Language header will be ignored.

Note: For cursor use: POST /auth/account/search-cursor

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

search

email
string <optional>

Deprecated: use Emails

emails
Array of strings <optional>
ids
Array of strings <optional>

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz",
  • "emails": [
    ],
  • "ids": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Get account permissions

This endpoint returns all permissions the user own.

property: enums: "AccessPreview" "ManageAccounts" "ManageCheckIns" "ManageConfiguration" "ManageContent" "ManageGlobalMedia" "ManageGlobalRoles" "ManagePosts" "ManageProjects" "ViewAnalytics" "ViewGlobalAnalytics"

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
{
  • "property1": {
    },
  • "property2": {
    }
}

Get account devices

This endpoint is for requesting account devices. The Platform header is for filtering devices for the correct product (App|Cms).

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get account tracking settings

This endpoint is for requesting account tracking settings.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "tracking": "Disabled"
}

Update account tracking settings

This endpoint is for updating account tracking settings.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

account tracking settings

tracking
string
Enum: "Disabled" "Anonym" "Personalized"

Responses

Request samples

Content type
application/json
{
  • "tracking": "Disabled"
}

Response samples

Content type
application/json
{
  • "tracking": "Disabled"
}

Get account visibility settings

This endpoint is for requesting account visibility settings.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "appointmentVisible": true,
  • "chatVisible": true,
  • "emailVisible": true,
  • "imageVisible": true,
  • "salutationVisible": true,
  • "titleVisible": true,
  • "visibleForOthers": true
}

Update account visibility settings

This endpoint is for updating account visibility settings. In order to enable the chat, the account should have first or last name set. After enabling the chat the refresh session endpoint must be called to get also a sendbird session token.

Note: In exceptional cases the user has to login again.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

account visibility settings

appointmentVisible
boolean
chatVisible
boolean

handles reactions allowed

emailVisible
boolean
imageVisible
boolean
salutationVisible
boolean
titleVisible
boolean
visibleForOthers
boolean

Responses

Request samples

Content type
application/json
{
  • "appointmentVisible": true,
  • "chatVisible": true,
  • "emailVisible": true,
  • "imageVisible": true,
  • "salutationVisible": true,
  • "titleVisible": true,
  • "visibleForOthers": true
}

Response samples

Content type
application/json
{
  • "appointmentVisible": true,
  • "chatVisible": true,
  • "emailVisible": true,
  • "imageVisible": true,
  • "salutationVisible": true,
  • "titleVisible": true,
  • "visibleForOthers": true
}

Change Password

This endpoint is for replacing old password with new one. For this action a one time token is needed. The token can be created with a new account registration, a password recover action or changing password request. The new password must be supplied in plain text to check if it matches the password security guidelines. If the new password does not match the guidelines the reason can be found in the 400 response message. After a successful change of the password every session and refresh token for this user will be invalidated. On success this endpoint provides a new refresh token and new session in the 200 response. In case of response status is 205 login has to be performed again.

Error messages:

  • Error.Token.Invalid
  • Error.Password.NoLower
  • Error.Password.TooShort
  • Error.Password.NoNumber
  • Error.Password.NotDictionarySafe
  • Error.Password.NoSpecial
  • Error.Password.NoUpper
  • Error.Password.UsedBefore

accessible without permission

header Parameters
Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

password change

browser
string or null <optional>

Default: null

deviceName
string or null <optional>

Default: null

newPassword
string
os
string
Enum: "Android" "IOS" "Windows" "Linux" "Mac" "Other"
osVersion
string
token
string

Responses

Request samples

Content type
application/json
{
  • "browser": "string",
  • "deviceName": "string",
  • "newPassword": "string",
  • "os": "Android",
  • "osVersion": "string",
  • "token": "hvYDpWUa2RaTCAfuxFIlj)hNlF$k0"
}

Response samples

Content type
application/json
{
  • "deviceId": "string",
  • "refreshToken": "XX4EWw5Hz6zb10FlyMazboBGmlvYX7Y878j6zSjQjJmsbTDVUvfPd7eOm1YqRPQb",
  • "sendbirdSessionToken": "string"
}

Get roles of an account

This endpoint is for retrieving the roles of a given account

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Update the roles of an account

This endpoint is for updating the roles of an account. You are only allowed to add and remove roles that have permissions you already own through your roles. If you have "ManageGlobalRoles" you are allowed to add and remove all roles. If a user already own a role, that user can keep this role with this request, even if you do not own the permissions of that role. You are not allowed to add or remove roles that have permissions you don't own but user own them from other role.

only accessible with permission : "ManageAccounts"

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

the new account roles

Array
projectId
string or null
roleId
string

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Get account notification settings

This endpoint is for requesting account notification settings.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "bundleEmails": true,
  • "notifyConfiguration": {
    }
}

Update account notification settings

This endpoint updates the account notification settings. In case of response status is 205 the request was only executed partial. Use GET to receive the stored configuration.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

account notification settings

bundleEmails
boolean

may be replaced with enum value (No,Day,Week)

object

property enums: "Appointment" "CalendarReminder" "Chat" "Custom" "Journey" "Mention" "News" "System"

Responses

Request samples

Content type
application/json
{
  • "bundleEmails": true,
  • "notifyConfiguration": {
    }
}

Response samples

Content type
application/json
{
  • "bundleEmails": true,
  • "notifyConfiguration": {
    }
}

Get account settings

This endpoint is for requesting account settings.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "notifications": {
    },
  • "projectSettings": {
    },
  • "tracking": "Disabled",
  • "visibility": {
    }
}

Registration

This endpoint is used for registration of an account with a valid email address. An email with registration token will be sent to the given address. If there already is an account for that email address, a password forgotten link will be sent to the user instead. The received one time token can be redeemed for setting password: PUT /auth/password If registration is disabled in the security configuration this endpoint is also disabled. The Accept-Language header is used to select the language for sending the email. If no language is selected, the email will be sent for the default language of the system.

accessible without permission

header Parameters
Accept-Language
string

client language(s)

Request Body schema: application/json

email address

email
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz"
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get account project settings

This endpoint is for requesting account project settings for the requested project.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "notification": "Disabled",
  • "projectEnteredAt": 0
}

Update account project settings

This endpoint updates the account project settings for the requested project.

accessible without permission (can only be used for the own account. Session must match requested account id.)

fully accessible with permission : "ManageAccounts"

path Parameters
id
required
string

Account ID

projectId
required
string

Project ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

account project settings

notification
string
Enum: "Enabled" "Mute"

Responses

Request samples

Content type
application/json
{
  • "notification": "Enabled"
}

Response samples

Content type
application/json
[
  • {
    }
]

Recover Password

This endpoint is for recovering password for given email. It always returns 200 if the request body is correct. If there is an existing account for the given email address, an email will be sent to this address with a token link. The Platform header is used for setting the interface the recovering link should lead. The Accept-Language header is used to select the language for sending the email. If no language is selected, the email will be sent for the default language of the system.

accessible without permission

header Parameters
Accept-Language
string

client language(s)

Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

password recover

email
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz"
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

Request password change

This endpoint is for requesting a one time token to change the password of an account. The password cannot be changed for an accounts that is linked to a sso provider. This endpoint uses the final message of the SCRAM challenge to validate the old password. The Platform must match the Platform from the first message. See RFC 5802 for detail SCRAM definition.

To perform this action call SCRAM First first: POST /auth/auth

accessible without permission

header Parameters
Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

Clients Final Message

email
string
nonce
string
proof
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz",
  • "nonce": "hvYDpWUa2RaTCAfuxFIlj)hNlF$k0",
  • "proof": "dHzbZapWIk4jUhN+Ute9ytag9zjfMHgsqmmiz7AndVQ="
}

Response samples

Content type
application/json
{
  • "signature": "6rriTRBi23WpRR/wtup+mMhUZUn/dB5nLTJRsjl95G4=",
  • "token": "XX4EWw5Hz6zb10FlyMazboBGmlvYX7Y878j6zSjQjJmsbTDVUvfPd7eOm1YqRPQb"
}

Admin Area

Get page list preview for project

This endpoint returns a list of all pages for the requested project without content in default representation. If a limit is set, a cursor for this endpoint may be created to iterate over all pages.

If the requested language is not available it will fall back to the default language.

only accessible with permission : "AccessPreview" "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get page preview mobile

This endpoint returns a localized page in default user representation by given id.

For published view use: GET /page/default/{id}

If the requested language is not available it will fall back to the default language.

only accessible with permission : "AccessPreview" "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Page ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
{
  • "channelId": "string",
  • "content": [
    ],
  • "createdAt": 0,
  • "creator": "string",
  • "hasDesktop": true,
  • "id": "string",
  • "keywordIds": [
    ],
  • "lastModified": 0,
  • "pagePlatform": "Mobile",
  • "projectId": "string",
  • "publishedAt": 0,
  • "settings": {
    },
  • "status": "Draft",
  • "title": "string",
  • "translations": [
    ]
}

Get article preview mobile

This endpoint returns a localized article in default user representation by given id.

For published view use: GET /news/default/{id}

only accessible with permission : "AccessPreview" "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Article ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
{
  • "author": "string",
  • "channelId": "string",
  • "content": [
    ],
  • "contentRepresentation": "Mobile",
  • "createdAt": 0,
  • "hasDesktop": true,
  • "headerImage": "string",
  • "id": "string",
  • "keywordIds": [
    ],
  • "lastModified": 0,
  • "linkedProjectIds": [
    ],
  • "projectId": "string",
  • "publishedAt": 0,
  • "settings": {
    },
  • "status": "Draft",
  • "teaserText": "string",
  • "timeZone": "Europe/Berlin",
  • "title": "string",
  • "translations": [
    ]
}

Get page preview desktop

This endpoint returns a localized page preview for desktop in default user representation by given id.

For published view use: GET /page/default/{id}/desktop

If there is no specific desktop version of the page the standard (mobile) version of the page will be selected. If the requested language is not available it will fall back to the default language.

only accessible with permission : "AccessPreview" "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Page ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
{
  • "channelId": "string",
  • "content": [
    ],
  • "createdAt": 0,
  • "creator": "string",
  • "hasDesktop": true,
  • "id": "string",
  • "keywordIds": [
    ],
  • "lastModified": 0,
  • "pagePlatform": "Mobile",
  • "projectId": "string",
  • "publishedAt": 0,
  • "settings": {
    },
  • "status": "Draft",
  • "title": "string",
  • "translations": [
    ]
}

Get article list preview for project

This endpoint returns a list of all articles for the requested project without content in default representation. The entries are sorted by publishedAt:DESC. If a limit is set, a cursor for this endpoint may be created to iterate over all articles.

For published view list use: GET /news/default/project/{id}

only accessible with permission : "AccessPreview" (counts also for linked projects) "ManageContent" (counts also for linked projects) "ManageProjects"

fully accessible with permission : "ManageContent" (counts also for linked projects) "ManageProjects"

path Parameters
id
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create cursor

This endpoint returns a cursor for preview list articles in default representation with applied filter and sort options. In case of cursor response total will be 0 the status 204 with not content is returned instead.

For published list cursor use: GET /news/default/search

only accessible with permission : "AccessPreview" (counts also for linked projects) "ManageContent" (counts also for linked projects) "ManageProjects"

fully accessible with permission : "ManageContent" (counts also for linked projects) "ManageProjects"

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Request Body schema: application/json

options to create cursor

object (news.CursorFilterOptionPreviewDefault)
Array of objects

only one property per entry allowed; property enums: "author" "createdAt" "id" "lastModified" "publishedAt"; value enums: "ASC" "DESC"

Responses

Request samples

Content type
application/json
{
  • "filter": {
    },
  • "sort": [
    ]
}

Response samples

Content type
application/json
{
  • "cursor": "string",
  • "endpoints": [
    ],
  • "expiredAt": 0,
  • "total": 0
}

Get article preview ids for project

This endpoint returns a list of all articles for the requested project without content in default representation. The entries are sorted by publishedAt:DESC.

For published list ids use: GET /news/default/project/{id}/ids

only accessible with permission : "AccessPreview" (counts also for linked projects) "ManageContent" (counts also for linked projects) "ManageProjects"

fully accessible with permission : "ManageContent" (counts also for linked projects) "ManageProjects"

path Parameters
id
required
string

Project ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
[
  • "string"
]

Get article preview desktop

This endpoint returns a localized article preview for desktop in default user representation by given id.

For published view use: GET /news/default/{id}/desktop

If there is no specific desktop version of the article the standard (mobile) version of the article will be selected.

only accessible with permission : "AccessPreview" "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Article ID

header Parameters
Session
required
string

JWT

Accept-Language
string

client language(s)

Responses

Response samples

Content type
application/json
{
  • "author": "string",
  • "channelId": "string",
  • "content": [
    ],
  • "contentRepresentation": "Mobile",
  • "createdAt": 0,
  • "hasDesktop": true,
  • "headerImage": "string",
  • "id": "string",
  • "keywordIds": [
    ],
  • "lastModified": 0,
  • "linkedProjectIds": [
    ],
  • "projectId": "string",
  • "publishedAt": 0,
  • "settings": {
    },
  • "status": "Draft",
  • "teaserText": "string",
  • "timeZone": "Europe/Berlin",
  • "title": "string",
  • "translations": [
    ]
}

Appointment (Admin)

Get appointment config

This endpoint is for retrieving one appointment configuration.

Note: Appointments is a premium feature and requires a valid subscription.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Appointment config ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "locationIds": [
    ],
  • "projectId": "string",
  • "receiverGroupIds": [
    ],
  • "requestGroupIds": [
    ],
  • "timeConfig": {
    },
  • "title": "string"
}

Delete appointment config

This endpoint is for deleting an appointment configuration.

Note: Appointments is a premium feature and requires a valid subscription.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Appointment config ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Update appointment config

This endpoint is for updating an existing appointment configuration.

Note: Appointments is a premium feature and requires a valid subscription.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Appointment config ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

appointment config to create

locationIds
Array of strings or null

null for all locations, empty array for no location

receiverGroupIds
Array of strings or null

null for all groups, empty array for no group

requestGroupIds
Array of strings or null

null for all groups, empty array for no group

object (model.AppointmentSlotTimeConfig)
title
string

Responses

Request samples

Content type
application/json
{
  • "locationIds": [
    ],
  • "receiverGroupIds": [
    ],
  • "requestGroupIds": [
    ],
  • "timeConfig": {
    },
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "locationIds": [
    ],
  • "projectId": "string",
  • "receiverGroupIds": [
    ],
  • "requestGroupIds": [
    ],
  • "timeConfig": {
    },
  • "title": "string"
}

Get appointment config list for project

This endpoint is for retrieving all appointment configurations for the requested project. If a limit is set, a cursor for this endpoint may be created to iterate over all calendars.

Note: Appointments is a premium feature and requires a valid subscription.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

project ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create appointment config

This endpoint is for creating a new appointment configuration.

Note: Appointments is a premium feature and requires a valid subscription.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

appointment config to create

locationIds
Array of strings or null

null for all locations, empty array for no location

projectId
string
receiverGroupIds
Array of strings or null

null for all groups, empty array for no group

requestGroupIds
Array of strings or null

null for all groups, empty array for no group

object (model.AppointmentSlotTimeConfig)
title
string

Responses

Request samples

Content type
application/json
{
  • "locationIds": [
    ],
  • "projectId": "string",
  • "receiverGroupIds": [
    ],
  • "requestGroupIds": [
    ],
  • "timeConfig": {
    },
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "locationIds": [
    ],
  • "projectId": "string",
  • "receiverGroupIds": [
    ],
  • "requestGroupIds": [
    ],
  • "timeConfig": {
    },
  • "title": "string"
}

Appointment (Default)

Get all appointment slot options

This endpoint is for retrieving all appointment slot options.

accessible without permission

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "allAccountIds": [
    ],
  • "allDurations": [
    ],
  • "allLocationIds": [
    ],
  • "allProjectIds": [
    ],
  • "allStartTimes": [
    ]
}

Create cursor

This endpoint returns a cursor for list appointments in default representation with applied filter and sort options. In case of cursor response total will be 0 the status 204 with not content is returned instead.

accessible without permission

header Parameters
Session
required
string

JWT

Request Body schema: application/json

options to create cursor

object (appointment.CursorFilterOptionDefault)
Array of objects

only one property per entry allowed; property enums: "expiresAt" "id" "projectId" "requester" "requesterName"; value enums: "ASC" "DESC"

Responses

Request samples

Content type
application/json
{
  • "filter": {
    },
  • "sort": [
    ]
}

Response samples

Content type
application/json
{
  • "cursor": "string",
  • "endpoints": [
    ],
  • "expiredAt": 0,
  • "total": 0
}

Get possible appointment slot options

This endpoint is for retrieving all possible appointment slot options for requested search. It only applies restrictions but ignores occupied and blocked meeting options as long as it's allowed to create such "conflicts". All values that were returned could be selected to create an appointment.

accessible without permission

header Parameters
Session
required
string

JWT

Request Body schema: application/json

appointment slot search query

object (appointment.SlotFilter)

Responses

Request samples

Content type
application/json
{
  • "filter": {
    }
}

Response samples

Content type
application/json
{
  • "possibleAccountIds": [
    ],
  • "possibleDurationSlots": [
    ],
  • "possibleDurations": [
    ],
  • "possibleLocationIds": [
    ],
  • "possibleProjectIds": [
    ],
  • "possibleSlots": [
    ],
  • "possibleStartTimes": [
    ]
}

Get appointment list for cursor

This endpoint is for retrieving all appointments for the requested cursor in default representation.

Cursor could be created here: POST /calendar/default/appointment/search

accessible without permission

query Parameters
cursor
required
string

id of the cursor used for pagination; required if page is set

page
required
integer

current page index of the cursor used for pagination; required if cursor is set

limit
integer

amount of results per page (1 ... 100)

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create appointment

This endpoint is for creating a new appointment.

Note: Appointments is a premium feature and requires a valid subscription.

accessible without permission

header Parameters
Session
required
string

JWT

Request Body schema: application/json

appointment to create

description
string
duration
integer >= 1

minutes

locationId
string or null
locationNote
string
projectId
string
receiverAccountIds
Array of strings
start
integer
title
string

Responses

Request samples

Content type
application/json
{
  • "description": "string",
  • "duration": 1,
  • "locationId": "string",
  • "locationNote": "string",
  • "projectId": "string",
  • "receiverAccountIds": [
    ],
  • "start": 0,
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "calendarEntryId": "string",
  • "calendarId": "string",
  • "description": "string",
  • "expiresAt": 0,
  • "id": "string",
  • "locationNote": "string",
  • "projectId": "string",
  • "receiver": {
    },
  • "requester": "string",
  • "requesterImage": "string",
  • "requesterName": "string",
  • "title": "string"
}

Get appointment

This endpoint is for retrieving one appointment for requested id.

accessible without permission

path Parameters
id
required
string

Appointment config ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "calendarEntryId": "string",
  • "calendarId": "string",
  • "description": "string",
  • "expiresAt": 0,
  • "id": "string",
  • "locationNote": "string",
  • "projectId": "string",
  • "receiver": {
    },
  • "requester": "string",
  • "requesterImage": "string",
  • "requesterName": "string",
  • "title": "string"
}

Auth

SCRAM First

This endpoint provides the first message of a salted challenge response authentication mechanism (SCRAM). This challenge is used to validate the users password. It is used to perform login or change password with old password. The Platform header is for creating session use range. See RFC 5802 for detail SCRAM definition.

accessible without permission

header Parameters
Platform
string
Enum: "Cms" "Android" "Ios" "Web"

The client platform

Request Body schema: application/json

Clients First Message

email
string
nonce
string

Responses

Request samples

Content type
application/json
{
  • "email": "test@api.plazz",
  • "nonce": "rOprNGfwEbeRWgbNEkqO"
}

Response samples

Content type
application/json
{
  • "expires": 1574864625,
  • "iterationCount": 4096,
  • "nonce": "hvYDpWUa2RaTCAfuxFIlj)hNlF$k0",
  • "salt": "W22ZaJ0SNY7soEsUEjb6gQ=="
}

Calendar (Admin)

Get calendar list settings

This endpoint is for retrieving the list settings of a specific calendar

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Session
string

JWT

Responses

Response samples

Content type
application/json
{
  • "fieldPrimary": "string",
  • "fieldSecondary": "string",
  • "shareEntries": true
}

Update calendar list settings

This endpoint is for updating the list settings of an existing calendar. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

list settings to be updated

fieldPrimary
string or null

itemId // item must be ModuleDirectoryContentRows, ModuleLocations, TextPlainLine or TextBlock

fieldSecondary
string or null

itemId // item must be ModuleDirectoryContentRows, ModuleLocations, TextPlainLine or null if fieldPrimary is TextBlock

shareEntries
boolean

Responses

Request samples

Content type
application/json
{
  • "fieldPrimary": "string",
  • "fieldSecondary": "string",
  • "shareEntries": true
}

Response samples

Content type
application/json
{
  • "fieldPrimary": "string",
  • "fieldSecondary": "string",
  • "shareEntries": true
}

Delete booking

This endpoint is for deleting a booking. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

accountId
required
string

Account ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Sync operators for all calendar entries

This endpoint is sync operators for all chat feeds with sendbird. This endpoint should rarely be used because of its workload.

only accessible with permission : "ManageProjects"

fully accessible with permission : "ManageProjects"

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get calendar detail view selections

This endpoint is for retrieving calendar selections.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar access configuration

This endpoint returns the access configuration for the requested calendar. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true
}

Update calendar access configuration

This endpoint updates the access configuration for the requested calendar. Only the changes should be transmitted due this endpoint. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

changed access rights

object

accountId to operation; null for operation removes access

any
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

object

groupId to operation; null for operation removes access

user
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

Responses

Request samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Response samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Get calendar detail view items

This endpoint is for retrieving calendar items.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar entries list for calendar

This endpoint is for retrieving all entries of the requested calendar in admin representation. The entries are sorted by dateTime.dateStart:ASC dateTime.timeStart:ASC position:ASC. If a limit is set, a cursor for this endpoint may be created to iterate over all calendar entries.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Add calendar entries

This endpoint is for adding new entries to the requested calendar. Calendars of type "Appointment" are readonly. In case of response status is 205 the request was only executed partial. Use GET to receive the stored configuration.

Note: Widgets for tab type WidgetPartyDirectory must not have a referenceId

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

calendar content entries to create; max 100 elements are permitted per request

Array
object (model.Access)
bookingEnabled
boolean <optional>

bookingEnabled can only be true if externalId is not null; Default: false

object
end
integer
externalId
string or null <optional>

externalParty must be set if externalId is set; Default: null

externalParty
string or null <optional>
Value: "Doo"

Default: null

id
string
keywordIds
Array of strings
parentId
string or null
position
integer
publishedAt
integer or null
ratingEnabled
boolean <optional>

Default: true

start
integer
Array of objects (content.EntryTabRequest)
timeZone
string

IANA Time Zone

title
string
object <optional>

Default: {}

Responses

Request samples

Content type
application/json
[
  • {
    }
]

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar detail view

This endpoint is for retrieving the detail config, items and selections of a calendar

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "detail": {
    },
  • "items": [
    ],
  • "selections": [
    ]
}

Update calendar detail view

Endpoint is returning 501 only at the moment!

This endpoint is for updating the detail of an existing calendar. New Items need a client generated unique id for setting reference in detail. client generated id will be changed from server so item ids in response will differ! Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

detail to be updated

object (calendar.RequestDetailPart)
Array of objects (calendar.RequestItem)
Array of objects (calendar.RequestCalendarSelection)

Responses

Request samples

Content type
application/json
{
  • "detail": {
    },
  • "items": [
    ],
  • "selections": [
    ]
}

Response samples

Content type
application/json
{
  • "detail": {
    },
  • "items": [
    ],
  • "selections": [
    ]
}

Create calendar

This endpoint is for creating a new calendar for chosen template.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

calendar to create

object <optional>

Default: {"any": "Read", "user": "Read", "accounts": {}, "groups": {}}

description
string
projectId
string
templateId
string or null
title
string

Responses

Request samples

Content type
application/json
{
  • "access": {
    },
  • "description": "string",
  • "projectId": "string",
  • "templateId": "string",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "createAccesses": {
    },
  • "description": "string",
  • "detail": {
    },
  • "entriesCount": 0,
  • "id": "string",
  • "items": [
    ],
  • "listSettings": {
    },
  • "period": {
    },
  • "projectId": "string",
  • "selections": [
    ],
  • "title": "string",
  • "type": "Appointment"
}

Get calendar

This endpoint is for retrieving one calendar in admin representation.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "createAccesses": {
    },
  • "description": "string",
  • "detail": {
    },
  • "entriesCount": 0,
  • "id": "string",
  • "items": [
    ],
  • "listSettings": {
    },
  • "period": {
    },
  • "projectId": "string",
  • "selections": [
    ],
  • "title": "string",
  • "type": "Appointment"
}

Delete calendar

This endpoint is for deleting a calendar with all localizations. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Update calendar info

This endpoint is for updating the base info of an existing calendar. Calendars of type "Appointment" are readonly.

createAccesses.CalendarEntry.any: must be false; true currently not supported

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Calendar ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

calendar information to be updated

object

property enums: "CalendarEntry"; see route description for additional information

description
string
title
string

Responses

Request samples

Content type
application/json
{
  • "createAccesses": {
    },
  • "description": "string",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "createAccesses": {
    },
  • "description": "string",
  • "detail": {
    },
  • "entriesCount": 0,
  • "id": "string",
  • "items": [
    ],
  • "listSettings": {
    },
  • "period": {
    },
  • "projectId": "string",
  • "selections": [
    ],
  • "title": "string",
  • "type": "Appointment"
}

Get calendar entry access configuration

This endpoint returns the access configuration for the requested calendar entry. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true
}

Update calendar entry access configuration

This endpoint updates the access configuration for the requested calendar entry. Only the changes should be transmitted due this endpoint. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

changed access rights

object

accountId to operation; null for operation removes access

any
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

object

groupId to operation; null for operation removes access

user
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

Responses

Request samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Response samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Get calendar list for project

This endpoint is for retrieving all calendars of a project in admin representation. If a limit is set, a cursor for this endpoint may be created to iterate over all calendars.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar template list

This endpoint retrieving templates to enhance the creation of new calendars. If a limit is set, a cursor for this endpoint may be created to iterate over all templates.

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar entry

This endpoint is for retrieving an entry of a calendar.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "bookingEnabled": true,
  • "calendarId": "string",
  • "dataSet": {
    },
  • "dateTime": {
    },
  • "detailDisabled": true,
  • "end": 0,
  • "externalId": "string",
  • "externalParty": "Doo",
  • "id": "string",
  • "isAppointment": true,
  • "keywordIds": [
    ],
  • "parentId": "string",
  • "position": 0,
  • "projectId": "string",
  • "publishedAt": 0,
  • "ratingEnabled": true,
  • "ratingResult": [
    ],
  • "start": 0,
  • "tabs": [
    ],
  • "timeZone": "string",
  • "title": "string",
  • "translations": [
    ],
  • "widgets": {
    }
}

Update calendar entry

This endpoint is for updating a calendar entry. Calendars of type "Appointment" are readonly.

Note: Widgets for tab type WidgetPartyDirectory must not have a referenceId

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

calendar content entry to be replaced

bookingEnabled
boolean <optional>

bookingEnabled can only be true if externalId is not null; Default: false

object
end
integer
externalId
string or null <optional>

externalParty must be set if externalId is set; Default: null

externalParty
string or null <optional>
Value: "Doo"

Default: null

keywordIds
Array of strings
parentId
string or null
position
integer
publishedAt
integer or null
ratingEnabled
boolean <optional>

Default: true

start
integer
Array of objects (content.EntryTabRequest)
timeZone
string

IANA Time Zone

title
string
object <optional>

Default: {}

Responses

Request samples

Content type
application/json
{
  • "bookingEnabled": true,
  • "dataSet": {
    },
  • "end": 0,
  • "externalId": "string",
  • "externalParty": "Doo",
  • "keywordIds": [
    ],
  • "parentId": "string",
  • "position": 0,
  • "publishedAt": 0,
  • "ratingEnabled": true,
  • "start": 0,
  • "tabs": [
    ],
  • "timeZone": "string",
  • "title": "string",
  • "widgets": {
    }
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "bookingEnabled": true,
  • "calendarId": "string",
  • "dataSet": {
    },
  • "dateTime": {
    },
  • "detailDisabled": true,
  • "end": 0,
  • "externalId": "string",
  • "externalParty": "Doo",
  • "id": "string",
  • "isAppointment": true,
  • "keywordIds": [
    ],
  • "parentId": "string",
  • "position": 0,
  • "projectId": "string",
  • "publishedAt": 0,
  • "ratingEnabled": true,
  • "ratingResult": [
    ],
  • "start": 0,
  • "tabs": [
    ],
  • "timeZone": "string",
  • "title": "string",
  • "translations": [
    ],
  • "widgets": {
    }
}

Delete calendar entry

This endpoint is for deleting a calendar entry. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Create booking

This endpoint is for creating calendar entry's booking in admin representation. Calendars of type "Appointment" are readonly.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

booking to create

accountId
string
ticketCode
string non-empty
ticketParty
string

Responses

Request samples

Content type
application/json
{
  • "accountId": "string",
  • "ticketCode": "string",
  • "ticketParty": "string"
}

Response samples

Content type
application/json
{
  • "accountId": "string",
  • "ticketCode": "string",
  • "ticketParty": "string"
}

Calendar (Default)

Get calendar

This endpoint is for retrieving one calendar in default representation. If the requested language is not available it will fall back to the default language.

accessible without permission

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Calendar ID

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
{
  • "detail": {
    },
  • "entriesCount": 0,
  • "id": "string",
  • "items": [
    ],
  • "listSettings": {
    },
  • "period": {
    },
  • "projectId": "string",
  • "selections": [
    ],
  • "title": "string",
  • "translations": [
    ],
  • "type": "Appointment"
}

Get calendar entries list for calendar

This endpoint is for retrieving all entries of the requested calendar in default representation. The entries are sorted by dateTime.dateStart:ASC dateTime.timeStart:ASC position:ASC. If a limit is set, a cursor for this endpoint may be created to iterate over all calendar entries.

accessible without permission

path Parameters
id
required
string

Calendar ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar entries list for cursor

This endpoint is for retrieving all entries for the requested cursor in default representation.

Cursor could be created here: POST /calendar/default/entry/search

accessible without permission

query Parameters
cursor
required
string

id of the cursor used for pagination; required if page is set

page
required
integer

current page index of the cursor used for pagination; required if cursor is set

limit
integer

amount of results per page (1 ... 100)

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get calendar entry

This endpoint is for retrieving an entry of a calendar.

accessible without permission

fully accessible with permission : "ManageContent" "ManageProjects" (not for "Appointment" calendars)

path Parameters
id
required
string

Entry ID

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
{
  • "bookingEnabled": true,
  • "calendarId": "string",
  • "dataSet": {
    },
  • "dateTime": {
    },
  • "detailDisabled": true,
  • "end": 0,
  • "id": "string",
  • "isAppointment": true,
  • "keywordIds": [
    ],
  • "parentId": "string",
  • "position": 0,
  • "projectId": "string",
  • "publishedAt": 0,
  • "ratingEnabled": true,
  • "start": 0,
  • "tabs": [
    ],
  • "title": "string",
  • "translations": [
    ],
  • "widgets": {
    }
}

Get booking

This endpoint is for retrieving calendar entry's booking in default representation.

accessible without permission (can only be used for the own account. Session must match requested account id.)

path Parameters
id
required
string

Entry ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "accountId": "string",
  • "ticketCode": "string"
}

Create entry cursor

This endpoint returns a cursor for list published calendar entries in default representation with applied filter and sort options. In case of cursor response total will be 0 the status 204 with not content is returned instead.

accessible without permission

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Request Body schema: application/json

options to create cursor

bookingEnabled
Array of booleans <optional> [ items <optional > ]
calendarIds
Array of strings <optional>
object <optional>

property is itemId to filter values for

ids
Array of strings <optional>
keywordIds
Array of strings <optional>
object <optional>

property is itemId to filter values for

parentIds
Array of strings <optional>
searchLanguage
string <optional>

specifies the language the search string should be interpreted in // TODO: TBD

searchString
string <optional> >= 3 characters

must be empty or have at least 3 characters; Default: "" LiveSearch: space separated groups of characters are treated as disjunctive regex group; WordSearch: exact match of whole words, for phrases wrap in escaped double quotes, exclude words by prepending "-"

searchType
string <optional>
Enum: "LiveSearch" "WordSearch"

specifies how searchString should be interpreted; Default: LiveSearch

object <optional>

property is itemId to filter values for

Responses

Request samples

Content type
application/json
{
  • "bookingEnabled": [
    ],
  • "calendarIds": [
    ],
  • "directoryContentRowIds": {
    },
  • "ids": [
    ],
  • "keywordIds": [
    ],
  • "locationIds": {
    },
  • "parentIds": [
    ],
  • "searchLanguage": "string",
  • "searchString": "string",
  • "searchType": "LiveSearch",
  • "selectionOptionIds": {
    }
}

Response samples

Content type
application/json
{
  • "cursor": "string",
  • "endpoints": [
    ],
  • "expiredAt": 0,
  • "total": 0
}

Get my calendar

This endpoint is for retrieving my calendar in default representation.

accessible without permission

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "detail": {
    },
  • "entriesCount": 0,
  • "id": "string",
  • "items": null,
  • "listSettings": {
    },
  • "period": {
    },
  • "projectId": "string",
  • "selections": [
    ],
  • "title": "string",
  • "translations": [
    ],
  • "type": "Appointment"
}

Get calendar entries list for my calendar

This endpoint is for retrieving all entries of my calendar in default representation. The entries are sorted by dateTime.dateStart:ASC dateTime.timeStart:ASC position:ASC. If a limit is set, a cursor for this endpoint may be created to iterate over all calendar entries.

accessible without permission

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Accept-Language
string

client language(s)

Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Chat (Admin)

Get list of chat channels

This endpoint is for getting list of all chat channels. If a limit is set, a cursor for this endpoint may be created to iterate over all chat channels.

only accessible with admin role

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create chat feed

This endpoint is for creating a new chat feed.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

header Parameters
Session
required
string

JWT

Request Body schema: application/json

Chat-Feed to create

object (model.Access)
image
string or null

a media image id from project or global context

projectId
string
title
string

Responses

Request samples

Content type
application/json
{
  • "access": {
    },
  • "image": "string",
  • "projectId": "string",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "creator": "string",
  • "id": "string",
  • "image": "string",
  • "projectId": "string",
  • "title": "string",
  • "visits": 0
}

Get chat feed

This endpoint is for retrieving a single chat feed in admin representation.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Chat Feed ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "creator": "string",
  • "id": "string",
  • "image": "string",
  • "projectId": "string",
  • "title": "string",
  • "visits": 0
}

Delete chat feed

This endpoint is for deleting a single chat feed.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Form ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Update chat feed

This endpoint is for updating an existing chat feed

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Chat Feed ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

chat feed data to update

image
string or null

a media image id from project or global context

title
string

Responses

Request samples

Content type
application/json
{
  • "image": "string",
  • "title": "string"
}

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true,
  • "creator": "string",
  • "id": "string",
  • "image": "string",
  • "projectId": "string",
  • "title": "string",
  • "visits": 0
}

delete a chat channel

This endpoint is for deleting a single chat channel.

only accessible with admin role

path Parameters
channelURL
required
string

The Sendbird Channel ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get chat feeds of project

This endpoint is for retrieving all chat feeds of a project in admin representation. If a limit is set, a cursor for this endpoint may be created to iterate over all chat feeds.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get chat feed access configuration

This endpoint returns the access configuration for the requested chat feed.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

ChatFeed ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "access": {
    },
  • "accessEditAllowed": true
}

Update chat feed access configuration

This endpoint updates the access configuration for the requested chat feed. Only the changes should be transmitted due this endpoint.

only accessible with permission : "ManageContent" "ManageProjects"

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

ChatFeed ID

header Parameters
Session
required
string

JWT

Request Body schema: application/json

changed access rights

object

accountId to operation; null for operation removes access

any
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

object

groupId to operation; null for operation removes access

user
string or null
Enum: "Read" "Write" "Delete" "Create" "changeProof"

Delete (includes) Write (includes) Read; null for operation removes access

Responses

Request samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Response samples

Content type
application/json
{
  • "accounts": {
    },
  • "any": "Read",
  • "groups": {
    },
  • "user": "Read"
}

Sync Operators for all chat feeds

This endpoint is sync operators for all chat feeds with sendbird. This endpoint should be rarely used, because of its workload.

only accessible with permission : "ManageProjects"

fully accessible with permission : "ManageProjects"

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Chat (Default)

Get chat feeds of project

This endpoint is for retrieving all chat feeds of a project in default representation. If the requested language is not available it will fall back to the default language. If a limit is set, a cursor for this endpoint may be created to iterate over all chat feeds.

accessible without permission

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Project ID

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get requests for all chat channels for requesting account

This endpoint returns all pending requests for all channels for the current user. If a limit is set, a cursor for this endpoint may be created to iterate over all pending requests.

accessible without permission

query Parameters
cursor
string

id of the cursor used for pagination; required if page is set

limit
integer

amount of results per page (1 ... 100)

page
integer

current page index of the cursor used for pagination; required if cursor is set

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get requests for chat channels

This endpoint returns all requests for the requested channels.

Note: Only operators of the provided sendbird channels can call this endpoint

accessible without permission

header Parameters
Session
required
string

JWT

Request Body schema: application/json

channelURLs

channelUrls
Array of strings <= 100 items

Responses

Request samples

Content type
application/json
{
  • "channelUrls": [
    ]
}

Response samples

Content type
application/json
[
  • {
    }
]

Join chat feed

This endpoint is for joining a chat feed.

accessible without permission

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Chat Feed ID

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

request join for protected chat channel

This endpoint is for joining a protected chat channel

If user is already a member of the channel a http 200 is returned without creating a request.

accessible without permission

path Parameters
channelURL
required
string

The Sendbird Channel URL

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "status": "ok"
}

Get chat feed

This endpoint is for retrieving a single chat feed in default representation. If the requested language is not available it will fall back to the default language.

accessible without permission

fully accessible with permission : "ManageContent" "ManageProjects"

path Parameters
id
required
string

Chat Feed ID

header Parameters
Accept-Language
string

client language(s)

Session
string

JWT

Responses

Response samples

Content type
application/json
{
  • "channelId": "string",
  • "id": "string",
  • "image": "string",
  • "isMember": true,
  • "projectId": "string",
  • "title": "string",
  • "translations": [
    ]
}

get requests for chat channel

This endpoint returns all requests for the requested channel.

Note: Only operators of the provided sendbird channel can call this endpoint

accessible without permission

path Parameters
channelURL
required
string

The Sendbird Channel URL

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get request of account for chat channel

This endpoint returns the request of an account for a chat channel.

Note: Only operators of the provided sendbird channel and the requesting accountID can call this endpoint

accessible without permission

path Parameters
channelURL
required
string

The Sendbird Channel URL

id
required
string

The ID of the account which should be processed

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "accountId": "string",
  • "channelUrl": "string",
  • "requestedAt": 0
}

process join request for protected chat channel

This endpoint is for processing a joining request for a protected chat channel

Note: Only operators of the provided sendbird channel can call this endpoint

accessible without permission

path Parameters
channelURL
required
string

The Sendbird Channel URL

id
required
string

The ID of the account which should be processed

header Parameters
Session
required
string

JWT

Request Body schema: application/json

action to be performed

action
string
Enum: "Accept" "Decline"

Responses

Request samples

Content type
application/json
{
  • "action": "Accept"
}

Response samples

Content type
application/json
{
  • "status": "ok"
}

invite users to protected chat channel

This endpoint is for inviting users to a protected chat channel In case of response status is 205 the request was only executed partial.

Note: Only operators of the provided sendbird channel can call this endpoint

accessible without permission

path Parameters
channelURL
required
string

The Sendbird Channel URL

header Parameters
Session
required
string

JWT

Request Body schema: application/json

Account IDs

Array
string

Responses

Request samples

Content type
application/json
[
  • "string"
]

Response samples

Content type
application/json
{
  • "status": "ok"
}

Config (Admin)

Get premium features

This endpoint returns the premium configuration in admin representation.

accessible without permission

fully accessible with permission : "Plazz"

header Parameters
Session
required
string

JWT

Responses

Response samples

Content type
application/json
{
  • "appointment": {
    },
  • "autoTranslation": {
    },
  • "journey": {
    },
  • "recommendation": {
    },
  • "systemNotificationMuted": {
    },
  • "whitelabel": {
    }
}

Update premium features

This endpoint updates the premium configuration.

only accessible with permission : "Plazz"

fully accessible with permission : "Plazz"

[...]
